Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058751 - Allow to clear the cluster's emulated machine
Summary: Allow to clear the cluster's emulated machine
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Michal Skrivanek
QA Contact: Shira Maximov
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 13:26 UTC by Roy Golan
Modified: 2016-02-10 19:24 UTC (History)
6 users (show)

Fixed In Version: ovirt-3.6.0-alpha1.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-13 14:38:37 UTC
oVirt Team: Virt
rule-engine: ovirt-3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 37115 master MERGED core/restapi/webadmin: Support clearing the cluster's emulated machine Never

Description Roy Golan 2014-01-28 13:26:45 UTC
Description of problem:

once a cluster have an UP host its emulated machine is set. this can't
be undone and that means you can't move from emulated machine type to another.

it makes sense to clear the emulated machine, only when there is no UP host
in the cluster so it could be auto detected again.

Version-Release number of selected component (if applicable):


Expected results:
Be able using REST and UI to clear the cluster's emulated machine when there
are no UP hosts

Comment 1 Itamar Heim 2014-02-02 08:16:56 UTC
Setting target release to current version for consideration and review. please
do not push non-RFE bugs to an undefined target release to make sure bugs are
reviewed for relevancy, fix, closure, etc.

Comment 3 Shira Maximov 2016-01-04 13:50:57 UTC
verified on :Red Hat Enterprise Virtualization Manager Version: 3.6.2-0.1.el6

vitrifaction steps:
1. have a cluster with host
2. try to add a host to the cluster with different emulated machine(for example fedora, ppc or AMD) - this host should become non-opertaionl.
3. put the first host to maintenance
4. go to clusters- right click on your cluster ->  Press Reset Emulated machine.
5. Try to re-install the host. -> it should work

Comment 4 Sandro Bonazzola 2016-01-13 14:38:37 UTC
oVirt 3.6.0 has been released, closing current release


Note You need to log in before you can comment on or make changes to this bug.